Bug 456636 - Not possible to specify zero fuzz in %patch
Not possible to specify zero fuzz in %patch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 03:29 EDT by Tomas Mraz
Modified: 2009-07-14 14:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix the detection of bad fuzz argument (1.06 KB, patch)
2008-07-25 03:29 EDT, Tomas Mraz
no flags Details | Diff
another patch (1.75 KB, patch)
2008-07-28 19:48 EDT, Tom Lane
no flags Details | Diff

  None (edit)
Description Tomas Mraz 2008-07-25 03:29:43 EDT
It is not possible to specify zero fuzz in %patch arguments. The spec parser
incorrectly takes 0 as bad argument to -F. This is fixed in rawhide version of
RPM however as the fuzz=0 is the default for rawhide it would be very useful if
it was possible to specify zero fuzz also in Fedora 8 and 9 (and possibly even
RHEL-5) so package maintainers can easily prepare RPMs which will build
correctly on future releases of Fedora and RHEL.
Comment 1 Tomas Mraz 2008-07-25 03:29:43 EDT
Created attachment 312626 [details]
Fix the detection of bad fuzz argument
Comment 2 Panu Matilainen 2008-07-27 03:40:43 EDT
Applied upstream in 4.4.x branch, thanks for the patch!

F8 and F9 are in need of an rpm update anyway, I'll try to get around to doing
it and include this when I return from vacation...
Comment 3 Tom Lane 2008-07-28 19:47:42 EDT
Please consider also fixing F-8 and F-9 so that one can set _default_patch_fuzz in ~/.rpmmacros and 
thereby get rawhide-like behavior *without* dirtying up one's specfiles.  The attached patch against 
current F-9 does the trick for me.  This has some overlap with Tomas' patch, but all you need is about two 
more lines to set _default_patch_fuzz in macros.in and fetch it in parsePrep.c.
Comment 4 Tom Lane 2008-07-28 19:48:13 EDT
Created attachment 312831 [details]
another patch
Comment 5 Paolo Bonzini 2009-06-09 11:08:29 EDT
The second patch is in 4.6.0 and FC10 afaict.
Comment 6 Bug Zapper 2009-06-09 22:14:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:16:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.